Bug 88794 - EDITING, editing subtotal function options adds columns group
Summary: EDITING, editing subtotal function options adds columns group
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Function-Subtotal
  Show dependency treegraph
 
Reported: 2015-01-25 20:51 UTC by Robert Gonzalez MX
Modified: 2019-04-30 02:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (71.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-25 20:51 UTC, Robert Gonzalez MX
Details
screenshoots (281.63 KB, application/vnd.oasis.opendocument.text)
2015-06-20 23:35 UTC, Robert Gonzalez MX
Details
Demonstrates multiple column groups (36.16 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-06-28 07:22 UTC, Dietrich Schulten
Details
Test file subtotals (26.58 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-04-29 15:47 UTC, Robert Gonzalez MX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Gonzalez MX 2015-01-25 20:51:21 UTC
Created attachment 112796 [details]
Test file

In LO 4.3.5.2 on Wondows 8.1 editing the subtotals options in the dialog, adds another column grouping each time.

Steps to reproduce

Open test file
go to cell A1
Select Data from the menu bar
Select Subtotals
Select Group by: Group
Select Calculate subtotals for: months
Select use fuction: sum
Select tab options
Select option include formats
Apply with OK

Repeat the steps to edit any option
Apply with OK
A new columns group appear

Repeat again editng any other option
A new columns group appear

Remove the subtotals
Select Data from the menu bar
Select option subtotals
Select in the dialog the Remove option
The subtotals are removed but the grouping doesn't.

You have to remove it with the menu option as fallows:
Data
Group and Outline
remove

Expected behavior:
Editing subtotals options it shouldn't add more column grouping
When removing the subtotals it should revome the column grouping as it does with the rows grouping.
Comment 1 raal 2015-01-26 15:16:57 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 60143f4f7bc50054dcef923218b8c7c3bc154933
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-21_04:58:34

Reproducible with LO 3.5, lowering version
Comment 2 Robert Gonzalez MX 2015-05-24 00:24:18 UTC
Reproducible with Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: es-MX (es_MX)on windows 8
Comment 3 Robert Gonzalez MX 2015-06-20 23:33:22 UTC
Just tested this with LO 3.3 and OO 3.2.1 on Windows 8 and is present. So I can say it is inherited form OO.
Comment 4 Robert Gonzalez MX 2015-06-20 23:35:08 UTC
Created attachment 116692 [details]
screenshoots
Comment 5 Dietrich Schulten 2015-06-28 07:22:29 UTC
Created attachment 116881 [details]
Demonstrates multiple column groups
Comment 6 Dietrich Schulten 2015-06-28 07:24:43 UTC
As a workaround, one can use Data-Group and Outline-Remove to get rid of the superfluous column groups.

I must also say, I do not understand how the column grouping is applied for subtotals. The column grouping seems not to be documented anywhere.

In the attached sample document, I have grouped by week and let calc sum up both the the items and the items+1 columns. Hit Data-Subtotals to see what I did.

The column grouping allows to hide the date and the items column. I fail to see the logic behind this.
Comment 7 QA Administrators 2016-09-20 10:11:39 UTC Comment hidden (obsolete)
Comment 8 Robert Gonzalez MX 2018-04-29 15:45:44 UTC
Hi.
Tested with Version: 6.1.0.0.alpha1 (x64)
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: es-MX (es_MX); Calc: CL

Still present. 

In the attached spreadsheet, with four numeric data columns, every time I repeat the process to apply subtotals, selecting one column at a time, a new data group is created on top of the spreadsheet.
Comment 9 Robert Gonzalez MX 2018-04-29 15:47:29 UTC
Created attachment 141759 [details]
Test file subtotals
Comment 10 QA Administrators 2019-04-30 02:41:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug